## imcode.server.document.textdocument
Class MenuDomainObject

    java.lang.Object
      imcode.server.document.textdocument.MenuDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MenuDomainObject

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` `DEFAULT_SORT_KEY`
`static int` `MENU_SORT_ORDER__BY_HEADLINE`
`static int` `MENU_SORT_ORDER__BY_MANUAL_ORDER_REVERSED`
`static int` `MENU_SORT_ORDER__BY_MANUAL_TREE_ORDER`
`static int` `MENU_SORT_ORDER__BY_MODIFIED_DATETIME_REVERSED`
`static int` `MENU_SORT_ORDER__BY_PUBLISHED_DATETIME_REVERSED`
`static int` `MENU_SORT_ORDER__DEFAULT`

Constructor Summary
`MenuDomainObject()`
`MenuDomainObject(java.lang.Long id, int sortOrder)`

Method Summary
`void` `addMenuItem(MenuItemDomainObject menuItem)`
`void` `addMenuItemUnchecked(MenuItemDomainObject menuItem)`
`MenuDomainObject` `clone()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Long` `getId()`
`java.lang.Integer` `getIndex()`
`java.util.Map<java.lang.Integer,MenuItemDomainObject>` `getItemsMap()`
`MenuItemDomainObject[]` `getMenuItems()`
`java.util.Set` `getMenuItemsUnsorted()`
`MenuItemDomainObject[]` `getMenuItemsUserCanSee(UserDomainObject user)`
`java.lang.Integer` `getMetaId()`
`MenuItemDomainObject[]` `getPublishedMenuItemsUserCanSee(UserDomainObject user)`
`int` `getSortOrder()`
`int` `hashCode()`
`void` `removeMenuItemByDocumentId(int childId)`
`void` `setId(java.lang.Long id)`
`void` `setIndex(java.lang.Integer index)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setSortOrder(int sortOrder)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MENU_SORT_ORDER__BY_HEADLINE

    public static final int MENU_SORT_ORDER__BY_HEADLINE

See Also:
  Constant Field Values

### MENU_SORT_ORDER__BY_MANUAL_ORDER_REVERSED

    public static final int MENU_SORT_ORDER__BY_MANUAL_ORDER_REVERSED

See Also:
  Constant Field Values

### MENU_SORT_ORDER__BY_MODIFIED_DATETIME_REVERSED

    public static final int MENU_SORT_ORDER__BY_MODIFIED_DATETIME_REVERSED

See Also:
  Constant Field Values

### MENU_SORT_ORDER__BY_MANUAL_TREE_ORDER

    public static final int MENU_SORT_ORDER__BY_MANUAL_TREE_ORDER

See Also:
  Constant Field Values

### MENU_SORT_ORDER__BY_PUBLISHED_DATETIME_REVERSED

    public static final int MENU_SORT_ORDER__BY_PUBLISHED_DATETIME_REVERSED

See Also:
  Constant Field Values

### MENU_SORT_ORDER__DEFAULT

    public static final int MENU_SORT_ORDER__DEFAULT

See Also:
  Constant Field Values

### DEFAULT_SORT_KEY

    public static final int DEFAULT_SORT_KEY

See Also:
  Constant Field Values

Constructor Detail

### MenuDomainObject

    public MenuDomainObject()

### MenuDomainObject

    public MenuDomainObject(java.lang.Long id,
                            int sortOrder)

Method Detail

### clone

    public MenuDomainObject clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getSortOrder

    public int getSortOrder()

### getMenuItemsUserCanSee

    public MenuItemDomainObject[] getMenuItemsUserCanSee(UserDomainObject user)

### getPublishedMenuItemsUserCanSee

    public MenuItemDomainObject[] getPublishedMenuItemsUserCanSee(UserDomainObject user)

### getMenuItems

    public MenuItemDomainObject[] getMenuItems()

### getMenuItemsUnsorted

    public java.util.Set getMenuItemsUnsorted()

### addMenuItem

    public void addMenuItem(MenuItemDomainObject menuItem)

### addMenuItemUnchecked

    public void addMenuItemUnchecked(MenuItemDomainObject menuItem)

### setSortOrder

    public void setSortOrder(int sortOrder)

### removeMenuItemByDocumentId

    public void removeMenuItemByDocumentId(int childId)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getIndex

    public java.lang.Integer getIndex()

### setIndex

    public void setIndex(java.lang.Integer index)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getItemsMap

    public java.util.Map<java.lang.Integer,MenuItemDomainObject> getItemsMap()